# -- Project information -----------------------------------------------------

project = 'kvalikirstu2'
copyright = '2019, FSD'
author = 'Saara Saaninkoski and Jukka Lipsanen'


# -- General configuration ---------------------------------------------------

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'sphinx.ext.autodoc',
    'sphinx.ext.viewcode',
    'sphinx.ext.todo',
]

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = 'en'

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'alabaster'

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']


# -- Extension configuration -------------------------------------------------

# -- Options for todo extension ----------------------------------------------

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = True

import shutil
import os
import sys


autodoc_mock_imports = ['wx']
COPY_FILES = ['DEPENDENCIES.rst', 'CHANGES.rst']
directory = os.path.dirname(__file__)
ext_directory = os.path.join(directory, 'ext')
sys.path.insert(0, os.path.join(directory, '..'))

if not os.path.exists(ext_directory):
    os.mkdir(ext_directory)

for filename in COPY_FILES:
    shutil.copyfile(os.path.join(directory, '..', filename), os.path.join(ext_directory, filename))
