#!/usr/bin/env python3
# Author(s): Saara Saaninkoski and Jukka Lipsanen
# Copyright 2019 Finnish Social Science Data Archive FSD / University of Tampere
# Licensed under the EUPL. See LICENCE.txt for full license.
import os
from setuptools import setup, find_packages

this_dir = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(this_dir, 'VERSION'), 'r') as fileobj:
    version = fileobj.readline().strip()

setup(
    name='kvalikirstu2',
    version=version,
    url='',
    description='A tool for analyzing qualitative studies',
    author='Jukka Lipsanen and Saara Saaninkoski',
    packages=find_packages(),
    install_requires=[
        'chardet',
        'ConfigArgParse',
        'Jinja2',
        'jsonpickle',
        'odfpy',
        'wxPython;platform_system=="Windows"',
        'pypubsub',
        'natsort'
        ],
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'python-kvalikirstu2-gui = kvalikirstu2.gui:main',
            'python-kvalikirstu2-cli = kvalikirstu2.main:main'
        ]
    }
)
